Multivariate Pattern Analysis in Python

# mvpa2.clfs.stats.rv_semifrozen

class `mvpa2.clfs.stats.``rv_semifrozen`(dist, loc=None, scale=None, args=None)

  Helper proxy-class to fit distribution when some parameters are known

  It is an ugly hack with snippets of code taken from scipy, which is Copyright (c) 2001, 2002 Enthought, Inc. and is distributed under BSD license http://www.scipy.org/License_Compatibility

  Methods

  `__call__`(*args, **kwargs) | Upon call mimic call to get actual rv_frozen distribution
  `fit`(data, *args, **kwds) |
  `nnlf`(theta, x) |

  Parameters:

  dist : rv_generic

  > Distribution for which to freeze some of the parameters

  loc : array-like, optional

  > Location parameter (default=0)

  scale : array-like, optional

  > Scale parameter (default=1)

  args : iterable, optional

  > Additional arguments to be passed to dist.

  Raises:

  ValueError

  > Arguments number mismatch

  Methods

  `__call__`(*args, **kwargs) | Upon call mimic call to get actual rv_frozen distribution
  `fit`(data, *args, **kwds) |
  `nnlf`(theta, x) |

  `fit`(data, *args, **kwds)
  `nnlf`(theta, x)